Skip to navigation

CVE Database

CVE-2006-2071

Impact: Moderate
Public: 2006-04-17

Details

The MITRE CVE dictionary describes this issue as:

Linux kernel 2.4.x and 2.6.x up to 2.6.16 allows local users to bypass IPC permissions and modify a readonly attachment of shared memory by using mprotect to give write permission to the attachment. NOTE: some original raw sources combined this issue with CVE-2006-1524, but they are different bugs.

Find out more about CVE-2006-2071 from the MITRE CVE dictionary and NIST NVD.

Red Hat security errata

Platform Errata Release Date
Red Hat Enterprise Linux version 2.1 (kernel) RHSA-2006:0579 July 13, 2006
Red Hat Enterprise Linux version 3 (kernel) RHSA-2006:0710 October 20, 2006
Red Hat Enterprise Linux version 4 (kernel) RHSA-2006:0689 October 05, 2006
Red Hat Linux Advanced Workstation 2.1 (kernel) RHSA-2006:0580 July 13, 2006

External References

This page is generated automatically and has not been checked for errors or omissions.

For clarification or corrections please contact the Red Hat Security Response Team.